/**
 * Converts assembly code in HTML code with syntax highlight
 * @function colorText To convert multi line code
 * @function colorLine To convert one line of code
 * @constant Config Options
 */
declare const sah: {
    Config: {
        preAll: string;
        preLine: string;
        preInstruction: string;
        postAll: string;
        postLine: string;
        spanErrorClass: string;
        spanLabelClass: string;
        spanNumberClass: string;
        spanCommentClass: string;
        spanBuiltinClass: string;
        spanVariableClass: string;
        spanDirectiveClass: string;
        spanInstructionClass: string;
    };
    /**
     * Split stream lines and adds highlight
     * @param assemblySource
     * @returns HTML string
     */
    colorText(assemblySource: string): string;
    /**
     * Adds highlight in one line. No config options are used
     * @param asmLine
     * @returns HTML string
     */
    colorLine(asmLine: string): string;
};
export default sah;
